kr.co.hanwha.hifive.enums

## Enum ApplicationStatus

- java.lang.Object
- - java.lang.Enum<ApplicationStatus>
  - - kr.co.hanwha.hifive.enums.ApplicationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ApplicationStatus>

      public enum ApplicationStatus
      extends java.lang.Enum<ApplicationStatus>

  앱 상태 값

  Created by sanghoonkwon on 2018. 1. 10..

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKGROUND` app is background
    `FOREGROUND` app is foreground
    `RETURNED_TO_FOREGROUND` app returned to foreground(or first launch)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACKGROUND

          public static final ApplicationStatus BACKGROUND

      app is background

    - #### RETURNED_TO_FOREGROUND

          public static final ApplicationStatus RETURNED_TO_FOREGROUND

      app returned to foreground(or first launch)

    - #### FOREGROUND

          public static final ApplicationStatus FOREGROUND

      app is foreground

  - ### Method Detail

    - #### values

          public static ApplicationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationStatus c : ApplicationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null